Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040244
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformmajorhave not tried2019-02-20 13:392019-02-22 09:30
ReporteraferrazView Statuspublic 
Assigned Toaferraz 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q2
StatusclosedFix in branchFixed in SCM revision9975d9061252
ProjectionnoneETAnoneTarget Version3.0PR19Q2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040244: Audit columns should not be checked for cross referenced organizations

DescriptionAudit columns should not be checked for cross referenced organizations
Steps To Reproduce*
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 00325703.0PR16Q3 closedalostale Openbravo ERP allow to define cross-organization references 
blocks feature request 0040257RR19Q2 closedaferraz Retail Modules Cross Store Payments & Returns project 

-  Notes
(0109964)
hgbot (developer)
2019-02-20 16:39

Repository: erp/devel/pi
Changeset: 9975d90612524a1ba07dc50b1aa35d60ae5c4470
Author: Álvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Wed Feb 20 14:05:02 2019 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/9975d90612524a1ba07dc50b1aa35d60ae5c4470 [^]

Fixes issue 40244: Do not check crossReferenceOrg for audit columns

---
M src/org/openbravo/dal/core/OBInterceptor.java
---
(0109969)
hgbot (developer)
2019-02-20 17:40

Repository: erp/devel/pi
Changeset: 8286df3adce01234be5de1d58e6cea0fc56755cd
Author: Álvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Wed Feb 20 17:39:31 2019 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/8286df3adce01234be5de1d58e6cea0fc56755cd [^]

Related to issue 40244: Move isAudit check

---
M src/org/openbravo/dal/core/OBInterceptor.java
---
(0110017)
hgbot (developer)
2019-02-22 09:26

Repository: erp/devel/pi
Changeset: e654aac2941d8a8d68eaf0cf4a3315161ddecdc8
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Feb 22 09:25:44 2019 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/e654aac2941d8a8d68eaf0cf4a3315161ddecdc8 [^]

related to issue 40244: removed some duplicated code

  Property already has an isAuditInfo, there is no need to implement the same in
  OBInterceptor also.

---
M src/org/openbravo/dal/core/OBInterceptor.java
---
(0110018)
alostale (developer)
2019-02-22 09:30

reviewed + tested

- Issue History
Date Modified Username Field Change
2019-02-20 13:39 aferraz New Issue
2019-02-20 13:39 aferraz Assigned To => aferraz
2019-02-20 13:39 aferraz Modules => Core
2019-02-20 13:39 aferraz Triggers an Emergency Pack => No
2019-02-20 13:39 aferraz Review Assigned To => alostale
2019-02-20 16:39 hgbot Checkin
2019-02-20 16:39 hgbot Note Added: 0109964
2019-02-20 16:39 hgbot Status new => resolved
2019-02-20 16:39 hgbot Resolution open => fixed
2019-02-20 16:39 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/9975d90612524a1ba07dc50b1aa35d60ae5c4470 [^]
2019-02-20 17:40 hgbot Checkin
2019-02-20 17:40 hgbot Note Added: 0109969
2019-02-22 09:26 hgbot Checkin
2019-02-22 09:26 hgbot Note Added: 0110017
2019-02-22 09:29 alostale Relationship added related to 0032570
2019-02-22 09:30 alostale Note Added: 0110018
2019-02-22 09:30 alostale Status resolved => closed
2019-02-22 09:30 alostale Fixed in Version => 3.0PR19Q2
2019-03-04 18:22 aferraz Relationship added blocks 0040257


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker